Index: trunk/sources/HeuristicLab.Encodings.RealVector/3.3/Manipulators/PolynomialOnePositionManipulator.cs
===================================================================
--- trunk/sources/HeuristicLab.Encodings.RealVector/3.3/Manipulators/PolynomialOnePositionManipulator.cs	(revision 3047)
+++ trunk/sources/HeuristicLab.Encodings.RealVector/3.3/Manipulators/PolynomialOnePositionManipulator.cs	(revision 3048)
@@ -40,6 +40,6 @@
     /// A higher value will shape the density function such that values closer to 0 (little manipulation) are more likely than values closer to 1 or -1 (maximum manipulation).
     /// </summary>
-    public ValueLookupParameter<DoubleData> ContiguityParameter {
-      get { return (ValueLookupParameter<DoubleData>)Parameters["Contiguity"]; }
+    public ValueLookupParameter<DoubleValue> ContiguityParameter {
+      get { return (ValueLookupParameter<DoubleValue>)Parameters["Contiguity"]; }
     }
     /// <summary>
@@ -49,6 +49,6 @@
     /// The manipulated value is not restricted by the (possibly) specified lower and upper bounds. Use the <see cref="BoundsChecker"/> to correct the values after performing the mutation.
     /// </remarks>
-    public ValueLookupParameter<DoubleData> MaximumManipulationParameter {
-      get { return (ValueLookupParameter<DoubleData>)Parameters["MaximumManipulation"]; }
+    public ValueLookupParameter<DoubleValue> MaximumManipulationParameter {
+      get { return (ValueLookupParameter<DoubleValue>)Parameters["MaximumManipulation"]; }
     }
 
@@ -59,6 +59,6 @@
     public PolynomialOnePositionManipulator()
       : base() {
-      Parameters.Add(new ValueLookupParameter<DoubleData>("Contiguity", "Specifies whether the manipulation should produce far stretching (small value) or close (large value) manipulations with higher probability. Valid values must be greater or equal to 0.", new DoubleData(2)));
-      Parameters.Add(new ValueLookupParameter<DoubleData>("MaximumManipulation", "Specifies the maximum value that should be added or subtracted by the manipulation. If this value is set to 0 no mutation will be performed.", new DoubleData(1)));
+      Parameters.Add(new ValueLookupParameter<DoubleValue>("Contiguity", "Specifies whether the manipulation should produce far stretching (small value) or close (large value) manipulations with higher probability. Valid values must be greater or equal to 0.", new DoubleValue(2)));
+      Parameters.Add(new ValueLookupParameter<DoubleValue>("MaximumManipulation", "Specifies the maximum value that should be added or subtracted by the manipulation. If this value is set to 0 no mutation will be performed.", new DoubleValue(1)));
     }
 
@@ -70,5 +70,5 @@
     /// <param name="contiguity">A parameter describing the shape of the probability density function which influences the strength of the manipulation.</param>
     /// <param name="maxManipulation">The maximum strength of the manipulation.</param>
-    public static void Apply(IRandom random, DoubleArrayData vector, DoubleData contiguity, DoubleData maxManipulation) {
+    public static void Apply(IRandom random, DoubleArray vector, DoubleValue contiguity, DoubleValue maxManipulation) {
       if (contiguity.Value < 0) throw new ArgumentException("PolynomialOnePositionManipulator: Contiguity value is smaller than 0", "contiguity");
       int index = random.Next(vector.Length);
@@ -85,9 +85,9 @@
 
     /// <summary>
-    /// Checks the availability of the parameters and forwards the call to <see cref="Apply(IRandom, DoubleArrayData, DoubleData, DoubleData)"/>.
+    /// Checks the availability of the parameters and forwards the call to <see cref="Apply(IRandom, DoubleArray, DoubleValue, DoubleValue)"/>.
     /// </summary>
     /// <param name="random">The random number generator to use.</param>
     /// <param name="realVector">The vector of real values to manipulate.</param>
-    protected override void Manipulate(IRandom random, DoubleArrayData realVector) {
+    protected override void Manipulate(IRandom random, DoubleArray realVector) {
       if (ContiguityParameter.ActualValue == null) throw new InvalidOperationException("PolynomialOnePositionManipulator: Parameter " + ContiguityParameter.ActualName + " could not be found.");
       if (MaximumManipulationParameter.ActualValue == null) throw new InvalidOperationException("PolynomialOnePositionManipulator: Parameter " + MaximumManipulationParameter.ActualName + " could not be found.");
Index: trunk/sources/HeuristicLab.Encodings.RealVector/3.3/Manipulators/SelfAdaptiveNormalAllPositionsManipulator.cs
===================================================================
--- trunk/sources/HeuristicLab.Encodings.RealVector/3.3/Manipulators/SelfAdaptiveNormalAllPositionsManipulator.cs	(revision 3047)
+++ trunk/sources/HeuristicLab.Encodings.RealVector/3.3/Manipulators/SelfAdaptiveNormalAllPositionsManipulator.cs	(revision 3048)
@@ -42,6 +42,6 @@
     /// Parameter for the strategy vector.
     /// </summary>
-    public LookupParameter<DoubleArrayData> StrategyVectorParameter {
-      get { return (LookupParameter<DoubleArrayData>)Parameters["StrategyVector"]; }
+    public LookupParameter<DoubleArray> StrategyVectorParameter {
+      get { return (LookupParameter<DoubleArray>)Parameters["StrategyVector"]; }
     }
     /// <summary>
@@ -51,5 +51,5 @@
     public SelfAdaptiveNormalAllPositionsManipulator()
       : base() {
-      Parameters.Add(new LookupParameter<DoubleArrayData>("StrategyVector", "The vector containing the endogenous strategy parameters."));
+      Parameters.Add(new LookupParameter<DoubleArray>("StrategyVector", "The vector containing the endogenous strategy parameters."));
     }
 
@@ -64,5 +64,5 @@
     /// <param name="vector">The real vector to manipulate.</param>
     /// <returns>The manipulated real vector.</returns>
-    public static void Apply(IRandom random, DoubleArrayData vector, DoubleArrayData strategyParameters) {
+    public static void Apply(IRandom random, DoubleArray vector, DoubleArray strategyParameters) {
       NormalDistributedRandom N = new NormalDistributedRandom(random, 0.0, 1.0);
       for (int i = 0; i < vector.Length; i++) {
@@ -72,9 +72,9 @@
 
     /// <summary>
-    /// Checks that the strategy vector is not null and forwards the call to <see cref="Apply(IRandom, DoubleArrayData, DoubleArrayData)"/>.
+    /// Checks that the strategy vector is not null and forwards the call to <see cref="Apply(IRandom, DoubleArray, DoubleArray)"/>.
     /// </summary>
     /// <param name="random">The random number generator.</param>
     /// <param name="realVector">The vector of real values that is manipulated.</param>
-    protected override void Manipulate(IRandom random, DoubleArrayData realVector) {
+    protected override void Manipulate(IRandom random, DoubleArray realVector) {
       if (StrategyVectorParameter.ActualValue == null) throw new InvalidOperationException("SelfAdaptiveNormalAllPositionsManipulator: Parameter " + StrategyVectorParameter.ActualName + " could not be found.");
       Apply(random, realVector, StrategyVectorParameter.ActualValue);
Index: trunk/sources/HeuristicLab.Encodings.RealVector/3.3/Manipulators/UniformOnePositionManipulator.cs
===================================================================
--- trunk/sources/HeuristicLab.Encodings.RealVector/3.3/Manipulators/UniformOnePositionManipulator.cs	(revision 3047)
+++ trunk/sources/HeuristicLab.Encodings.RealVector/3.3/Manipulators/UniformOnePositionManipulator.cs	(revision 3048)
@@ -39,12 +39,12 @@
     /// The lower bound of the values in the real vector.
     /// </summary>
-    public ValueLookupParameter<DoubleData> MinimumParameter {
-      get { return (ValueLookupParameter<DoubleData>)Parameters["Minimum"]; }
+    public ValueLookupParameter<DoubleValue> MinimumParameter {
+      get { return (ValueLookupParameter<DoubleValue>)Parameters["Minimum"]; }
     }
     /// <summary>
     /// The upper bound of the values in the real vector.
     /// </summary>
-    public ValueLookupParameter<DoubleData> MaximumParameter {
-      get { return (ValueLookupParameter<DoubleData>)Parameters["Maximum"]; }
+    public ValueLookupParameter<DoubleValue> MaximumParameter {
+      get { return (ValueLookupParameter<DoubleValue>)Parameters["Maximum"]; }
     }
 
@@ -54,6 +54,6 @@
     /// </summary>
     public UniformOnePositionManipulator() {
-      Parameters.Add(new ValueLookupParameter<DoubleData>("Minimum", "Minimum of the sampling range for the vector element (included)"));
-      Parameters.Add(new ValueLookupParameter<DoubleData>("Maximum", "Maximum of the sampling range for the vector element (excluded)"));
+      Parameters.Add(new ValueLookupParameter<DoubleValue>("Minimum", "Minimum of the sampling range for the vector element (included)"));
+      Parameters.Add(new ValueLookupParameter<DoubleValue>("Maximum", "Maximum of the sampling range for the vector element (excluded)"));
     }
 
@@ -67,5 +67,5 @@
     /// <param name="max">The maximum value of the sampling range for
     /// the vector element to change (exclusive).</param>
-    public static void Apply(IRandom random, DoubleArrayData vector, DoubleData min, DoubleData max) {
+    public static void Apply(IRandom random, DoubleArray vector, DoubleValue min, DoubleValue max) {
       int index = random.Next(vector.Length);
       vector[index] = min.Value + random.NextDouble() * (max.Value - min.Value);
@@ -73,9 +73,9 @@
 
     /// <summary>
-    /// Checks if the minimum and maximum parameters are available and forwards the call to <see cref="Apply(IRandom, DoubleArrayData, DoubleData, DoubleData)"/>.
+    /// Checks if the minimum and maximum parameters are available and forwards the call to <see cref="Apply(IRandom, DoubleArray, DoubleValue, DoubleValue)"/>.
     /// </summary>
     /// <param name="random">The random number generator to use.</param>
     /// <param name="realVector">The real vector to manipulate.</param>
-    protected override void Manipulate(IRandom random, DoubleArrayData realVector) {
+    protected override void Manipulate(IRandom random, DoubleArray realVector) {
       if (MinimumParameter.ActualValue == null) throw new InvalidOperationException("UniformOnePositionManipulator: Parameter " + MinimumParameter.ActualName + " could not be found.");
       if (MaximumParameter.ActualValue == null) throw new InvalidOperationException("UniformOnePositionManipulator: Parameter " + MaximumParameter.ActualName + " could not be found.");
Index: trunk/sources/HeuristicLab.Encodings.RealVector/3.3/RealVectorCreator.cs
===================================================================
--- trunk/sources/HeuristicLab.Encodings.RealVector/3.3/RealVectorCreator.cs	(revision 3047)
+++ trunk/sources/HeuristicLab.Encodings.RealVector/3.3/RealVectorCreator.cs	(revision 3048)
@@ -41,15 +41,15 @@
       get { return (LookupParameter<IRandom>)Parameters["Random"]; }
     }
-    public ILookupParameter<DoubleArrayData> RealVectorParameter {
-      get { return (ILookupParameter<DoubleArrayData>)Parameters["RealVector"]; }
+    public ILookupParameter<DoubleArray> RealVectorParameter {
+      get { return (ILookupParameter<DoubleArray>)Parameters["RealVector"]; }
     }
-    public IValueLookupParameter<IntData> LengthParameter {
-      get { return (IValueLookupParameter<IntData>)Parameters["Length"]; }
+    public IValueLookupParameter<IntValue> LengthParameter {
+      get { return (IValueLookupParameter<IntValue>)Parameters["Length"]; }
     }
-    public IValueLookupParameter<DoubleData> MinimumParameter {
-      get { return (IValueLookupParameter<DoubleData>)Parameters["Minimum"]; }
+    public IValueLookupParameter<DoubleValue> MinimumParameter {
+      get { return (IValueLookupParameter<DoubleValue>)Parameters["Minimum"]; }
     }
-    public IValueLookupParameter<DoubleData> MaximumParameter {
-      get { return (IValueLookupParameter<DoubleData>)Parameters["Maximum"]; }
+    public IValueLookupParameter<DoubleValue> MaximumParameter {
+      get { return (IValueLookupParameter<DoubleValue>)Parameters["Maximum"]; }
     }
 
@@ -57,8 +57,8 @@
       : base() {
       Parameters.Add(new LookupParameter<IRandom>("Random", "The pseudo random number generator which should be used for stochastic manipulation operators."));
-      Parameters.Add(new LookupParameter<DoubleArrayData>("RealVector", "The vector which should be manipulated."));
-      Parameters.Add(new ValueLookupParameter<IntData>("Length", "The length of the vector."));
-      Parameters.Add(new ValueLookupParameter<DoubleData>("Minimum", "The lower bound for each element in the vector."));
-      Parameters.Add(new ValueLookupParameter<DoubleData>("Maximum", "The upper bound for each element in the vector."));
+      Parameters.Add(new LookupParameter<DoubleArray>("RealVector", "The vector which should be manipulated."));
+      Parameters.Add(new ValueLookupParameter<IntValue>("Length", "The length of the vector."));
+      Parameters.Add(new ValueLookupParameter<DoubleValue>("Minimum", "The lower bound for each element in the vector."));
+      Parameters.Add(new ValueLookupParameter<DoubleValue>("Maximum", "The upper bound for each element in the vector."));
     }
 
@@ -68,5 +68,5 @@
     }
 
-    protected abstract DoubleArrayData Create(IRandom random, IntData length, DoubleData minimum, DoubleData maximum);
+    protected abstract DoubleArray Create(IRandom random, IntValue length, DoubleValue minimum, DoubleValue maximum);
   }
 }
Index: trunk/sources/HeuristicLab.Encodings.RealVector/3.3/RealVectorCrossover.cs
===================================================================
--- trunk/sources/HeuristicLab.Encodings.RealVector/3.3/RealVectorCrossover.cs	(revision 3047)
+++ trunk/sources/HeuristicLab.Encodings.RealVector/3.3/RealVectorCrossover.cs	(revision 3048)
@@ -41,9 +41,9 @@
       get { return (LookupParameter<IRandom>)Parameters["Random"]; }
     }
-    public ILookupParameter<ItemArray<DoubleArrayData>> ParentsParameter {
-      get { return (SubScopesLookupParameter<DoubleArrayData>)Parameters["Parents"]; }
+    public ILookupParameter<ItemArray<DoubleArray>> ParentsParameter {
+      get { return (SubScopesLookupParameter<DoubleArray>)Parameters["Parents"]; }
     }
-    public ILookupParameter<DoubleArrayData> ChildParameter {
-      get { return (ILookupParameter<DoubleArrayData>)Parameters["Child"]; }
+    public ILookupParameter<DoubleArray> ChildParameter {
+      get { return (ILookupParameter<DoubleArray>)Parameters["Child"]; }
     }
 
@@ -51,6 +51,6 @@
       : base() {
       Parameters.Add(new LookupParameter<IRandom>("Random", "The pseudo random number generator which should be used for stochastic crossover operators."));
-      Parameters.Add(new SubScopesLookupParameter<DoubleArrayData>("Parents", "The parent vectors which should be crossed."));
-      Parameters.Add(new LookupParameter<DoubleArrayData>("Child", "The child vector resulting from the crossover."));
+      Parameters.Add(new SubScopesLookupParameter<DoubleArray>("Parents", "The parent vectors which should be crossed."));
+      Parameters.Add(new LookupParameter<DoubleArray>("Child", "The child vector resulting from the crossover."));
     }
 
@@ -60,5 +60,5 @@
     }
 
-    protected abstract DoubleArrayData Cross(IRandom random, ItemArray<DoubleArrayData> parents);
+    protected abstract DoubleArray Cross(IRandom random, ItemArray<DoubleArray> parents);
   }
 }
Index: trunk/sources/HeuristicLab.Encodings.RealVector/3.3/RealVectorManipulator.cs
===================================================================
--- trunk/sources/HeuristicLab.Encodings.RealVector/3.3/RealVectorManipulator.cs	(revision 3047)
+++ trunk/sources/HeuristicLab.Encodings.RealVector/3.3/RealVectorManipulator.cs	(revision 3048)
@@ -41,6 +41,6 @@
       get { return (LookupParameter<IRandom>)Parameters["Random"]; }
     }
-    public ILookupParameter<DoubleArrayData> RealVectorParameter {
-      get { return (ILookupParameter<DoubleArrayData>)Parameters["RealVector"]; }
+    public ILookupParameter<DoubleArray> RealVectorParameter {
+      get { return (ILookupParameter<DoubleArray>)Parameters["RealVector"]; }
     }
 
@@ -48,5 +48,5 @@
       : base() {
       Parameters.Add(new LookupParameter<IRandom>("Random", "The pseudo random number generator which should be used for stochastic manipulation operators."));
-      Parameters.Add(new LookupParameter<DoubleArrayData>("RealVector", "The vector which should be manipulated."));
+      Parameters.Add(new LookupParameter<DoubleArray>("RealVector", "The vector which should be manipulated."));
     }
 
@@ -56,5 +56,5 @@
     }
 
-    protected abstract void Manipulate(IRandom random, DoubleArrayData realVector);
+    protected abstract void Manipulate(IRandom random, DoubleArray realVector);
   }
 }
Index: trunk/sources/HeuristicLab.Encodings.RealVector/3.3/Tests/Auxiliary.cs
===================================================================
--- trunk/sources/HeuristicLab.Encodings.RealVector/3.3/Tests/Auxiliary.cs	(revision 3047)
+++ trunk/sources/HeuristicLab.Encodings.RealVector/3.3/Tests/Auxiliary.cs	(revision 3048)
@@ -25,5 +25,5 @@
 namespace HeuristicLab.Encodings.RealVector_33.Tests {
   public static class Auxiliary {
-    public static bool RealVectorIsAlmostEqualByPosition(DoubleArrayData p1, DoubleArrayData p2) {
+    public static bool RealVectorIsAlmostEqualByPosition(DoubleArray p1, DoubleArray p2) {
       bool equal = (p1.Length == p2.Length);
       if (equal) {
Index: trunk/sources/HeuristicLab.Encodings.RealVector/3.3/Tests/BlendAlphaBetaCrossoverTest.cs
===================================================================
--- trunk/sources/HeuristicLab.Encodings.RealVector/3.3/Tests/BlendAlphaBetaCrossoverTest.cs	(revision 3047)
+++ trunk/sources/HeuristicLab.Encodings.RealVector/3.3/Tests/BlendAlphaBetaCrossoverTest.cs	(revision 3048)
@@ -68,13 +68,13 @@
     public void BlendAlphaBetaCrossoverCrossTest() {
       BlendAlphaBetaCrossover_Accessor target = new BlendAlphaBetaCrossover_Accessor(new PrivateObject(typeof(BlendAlphaBetaCrossover)));
-      ItemArray<DoubleArrayData> parents;
+      ItemArray<DoubleArray> parents;
       TestRandom random = new TestRandom();
       bool exceptionFired;
       // The following test checks if there is an exception when there are more than 2 parents
       random.Reset();
-      parents = new ItemArray<DoubleArrayData>(new DoubleArrayData[] { new DoubleArrayData(5), new DoubleArrayData(6), new DoubleArrayData(4) });
+      parents = new ItemArray<DoubleArray>(new DoubleArray[] { new DoubleArray(5), new DoubleArray(6), new DoubleArray(4) });
       exceptionFired = false;
       try {
-        DoubleArrayData actual;
+        DoubleArray actual;
         actual = target.Cross(random, parents);
       } catch (System.ArgumentException) {
@@ -84,8 +84,8 @@
       // The following test checks if there is an exception when there are less than 2 parents
       random.Reset();
-      parents = new ItemArray<DoubleArrayData>(new DoubleArrayData[] { new DoubleArrayData(4) });
+      parents = new ItemArray<DoubleArray>(new DoubleArray[] { new DoubleArray(4) });
       exceptionFired = false;
       try {
-        DoubleArrayData actual;
+        DoubleArray actual;
         actual = target.Cross(random, parents);
       } catch (System.ArgumentException) {
@@ -101,16 +101,16 @@
     public void BlendAlphaBetaCrossoverApplyTest() {
       TestRandom random = new TestRandom();
-      DoubleArrayData parent1, parent2, expected, actual;
-      DoubleData alpha;
-      DoubleData beta;
+      DoubleArray parent1, parent2, expected, actual;
+      DoubleValue alpha;
+      DoubleValue beta;
       bool exceptionFired;
       // The following test is not based on published examples
       random.Reset();
       random.DoubleNumbers = new double[] { 0.5, 0.5, 0.5, 0.5, 0.5 };
-      alpha = new DoubleData(0.5);
-      beta = new DoubleData(0.5);
-      parent1 = new DoubleArrayData(new double[] { 0.2, 0.2, 0.3, 0.5, 0.1 });
-      parent2 = new DoubleArrayData(new double[] { 0.4, 0.1, 0.3, 0.2, 0.8 });
-      expected = new DoubleArrayData(new double[] { 0.3, 0.15, 0.3, 0.35, 0.45 });
+      alpha = new DoubleValue(0.5);
+      beta = new DoubleValue(0.5);
+      parent1 = new DoubleArray(new double[] { 0.2, 0.2, 0.3, 0.5, 0.1 });
+      parent2 = new DoubleArray(new double[] { 0.4, 0.1, 0.3, 0.2, 0.8 });
+      expected = new DoubleArray(new double[] { 0.3, 0.15, 0.3, 0.35, 0.45 });
       actual = BlendAlphaBetaCrossover.Apply(random, parent1, parent2, alpha, beta);
       Assert.IsTrue(Auxiliary.RealVectorIsAlmostEqualByPosition(actual, expected));
@@ -118,7 +118,7 @@
       random.Reset();
       random.DoubleNumbers = new double[] { 0.25, 0.75, 0.25, 0.75, 0.25 };
-      alpha = new DoubleData(-0.25); // negative values for alpha are not allowed
-      parent1 = new DoubleArrayData(new double[] { 0.2, 0.2, 0.3, 0.5, 0.1 });
-      parent2 = new DoubleArrayData(new double[] { 0.4, 0.1, 0.3, 0.2, 0.8 });
+      alpha = new DoubleValue(-0.25); // negative values for alpha are not allowed
+      parent1 = new DoubleArray(new double[] { 0.2, 0.2, 0.3, 0.5, 0.1 });
+      parent2 = new DoubleArray(new double[] { 0.4, 0.1, 0.3, 0.2, 0.8 });
       exceptionFired = false;
       try {
@@ -131,7 +131,7 @@
       random.Reset();
       random.DoubleNumbers = new double[] { 0.25, 0.75, 0.25, 0.75, 0.25, .75 };
-      alpha = new DoubleData(0.25);
-      parent1 = new DoubleArrayData(new double[] { 0.2, 0.2, 0.3, 0.5, 0.1, 0.9 }); // this parent is longer
-      parent2 = new DoubleArrayData(new double[] { 0.4, 0.1, 0.3, 0.2, 0.8 });
+      alpha = new DoubleValue(0.25);
+      parent1 = new DoubleArray(new double[] { 0.2, 0.2, 0.3, 0.5, 0.1, 0.9 }); // this parent is longer
+      parent2 = new DoubleArray(new double[] { 0.4, 0.1, 0.3, 0.2, 0.8 });
       exceptionFired = false;
       try {
Index: trunk/sources/HeuristicLab.Encodings.RealVector/3.3/Tests/BlendAlphaCrossoverTest.cs
===================================================================
--- trunk/sources/HeuristicLab.Encodings.RealVector/3.3/Tests/BlendAlphaCrossoverTest.cs	(revision 3047)
+++ trunk/sources/HeuristicLab.Encodings.RealVector/3.3/Tests/BlendAlphaCrossoverTest.cs	(revision 3048)
@@ -68,13 +68,13 @@
     public void BlendAlphaCrossoverCrossTest() {
       BlendAlphaCrossover_Accessor target = new BlendAlphaCrossover_Accessor(new PrivateObject(typeof(BlendAlphaCrossover)));
-      ItemArray<DoubleArrayData> parents;
+      ItemArray<DoubleArray> parents;
       TestRandom random = new TestRandom();
       bool exceptionFired;
       // The following test checks if there is an exception when there are more than 2 parents
       random.Reset();
-      parents = new ItemArray<DoubleArrayData>(new DoubleArrayData[] { new DoubleArrayData(5), new DoubleArrayData(6), new DoubleArrayData(4) });
+      parents = new ItemArray<DoubleArray>(new DoubleArray[] { new DoubleArray(5), new DoubleArray(6), new DoubleArray(4) });
       exceptionFired = false;
       try {
-        DoubleArrayData actual;
+        DoubleArray actual;
         actual = target.Cross(random, parents);
       } catch (System.ArgumentException) {
@@ -84,8 +84,8 @@
       // The following test checks if there is an exception when there are less than 2 parents
       random.Reset();
-      parents = new ItemArray<DoubleArrayData>(new DoubleArrayData[] { new DoubleArrayData(4) });
+      parents = new ItemArray<DoubleArray>(new DoubleArray[] { new DoubleArray(4) });
       exceptionFired = false;
       try {
-        DoubleArrayData actual;
+        DoubleArray actual;
         actual = target.Cross(random, parents);
       } catch (System.ArgumentException) {
@@ -101,14 +101,14 @@
     public void BlendAlphaCrossoverApplyTest() {
       TestRandom random = new TestRandom();
-      DoubleArrayData parent1, parent2, expected, actual;
-      DoubleData alpha;
+      DoubleArray parent1, parent2, expected, actual;
+      DoubleValue alpha;
       bool exceptionFired;
       // The following test is not based on published examples
       random.Reset();
       random.DoubleNumbers = new double[] { 0.5, 0.5, 0.5, 0.5, 0.5 };
-      alpha = new DoubleData(0.5);
-      parent1 = new DoubleArrayData(new double[] { 0.2, 0.2, 0.3, 0.5, 0.1 });
-      parent2 = new DoubleArrayData(new double[] { 0.4, 0.1, 0.3, 0.2, 0.8 });
-      expected = new DoubleArrayData(new double[] { 0.3, 0.15, 0.3, 0.35, 0.45 });
+      alpha = new DoubleValue(0.5);
+      parent1 = new DoubleArray(new double[] { 0.2, 0.2, 0.3, 0.5, 0.1 });
+      parent2 = new DoubleArray(new double[] { 0.4, 0.1, 0.3, 0.2, 0.8 });
+      expected = new DoubleArray(new double[] { 0.3, 0.15, 0.3, 0.35, 0.45 });
       actual = BlendAlphaCrossover.Apply(random, parent1, parent2, alpha);
       Assert.IsTrue(Auxiliary.RealVectorIsAlmostEqualByPosition(actual, expected));
@@ -116,8 +116,8 @@
       random.Reset();
       random.DoubleNumbers = new double[] { 0.25, 0.75, 0.25, 0.75, 0.25 };
-      alpha = new DoubleData(0.25);
-      parent1 = new DoubleArrayData(new double[] { 0.2, 0.2, 0.3, 0.5, 0.1 });
-      parent2 = new DoubleArrayData(new double[] { 0.4, 0.1, 0.3, 0.2, 0.8 });
-      expected = new DoubleArrayData(new double[] { 0.225, 0.1875, 0.3, 0.4625, 0.1875 });
+      alpha = new DoubleValue(0.25);
+      parent1 = new DoubleArray(new double[] { 0.2, 0.2, 0.3, 0.5, 0.1 });
+      parent2 = new DoubleArray(new double[] { 0.4, 0.1, 0.3, 0.2, 0.8 });
+      expected = new DoubleArray(new double[] { 0.225, 0.1875, 0.3, 0.4625, 0.1875 });
       actual = BlendAlphaCrossover.Apply(random, parent1, parent2, alpha);
       Assert.IsTrue(Auxiliary.RealVectorIsAlmostEqualByPosition(actual, expected));
@@ -125,8 +125,8 @@
       random.Reset();
       random.DoubleNumbers = new double[] { 0.25, 0.75, 0.25, 0.75, 0.25 };
-      alpha = new DoubleData(-0.25); // negative values for alpha are not allowed
-      parent1 = new DoubleArrayData(new double[] { 0.2, 0.2, 0.3, 0.5, 0.1 });
-      parent2 = new DoubleArrayData(new double[] { 0.4, 0.1, 0.3, 0.2, 0.8 });
-      expected = new DoubleArrayData(new double[] { 0.225, 0.1875, 0.3, 0.4625, 0.1875 });
+      alpha = new DoubleValue(-0.25); // negative values for alpha are not allowed
+      parent1 = new DoubleArray(new double[] { 0.2, 0.2, 0.3, 0.5, 0.1 });
+      parent2 = new DoubleArray(new double[] { 0.4, 0.1, 0.3, 0.2, 0.8 });
+      expected = new DoubleArray(new double[] { 0.225, 0.1875, 0.3, 0.4625, 0.1875 });
       exceptionFired = false;
       try {
@@ -139,8 +139,8 @@
       random.Reset();
       random.DoubleNumbers = new double[] { 0.25, 0.75, 0.25, 0.75, 0.25, .75 };
-      alpha = new DoubleData(0.25);
-      parent1 = new DoubleArrayData(new double[] { 0.2, 0.2, 0.3, 0.5, 0.1, 0.9 }); // this parent is longer
-      parent2 = new DoubleArrayData(new double[] { 0.4, 0.1, 0.3, 0.2, 0.8 });
-      expected = new DoubleArrayData(new double[] { 0.225, 0.1875, 0.3, 0.4625, 0.1875 });
+      alpha = new DoubleValue(0.25);
+      parent1 = new DoubleArray(new double[] { 0.2, 0.2, 0.3, 0.5, 0.1, 0.9 }); // this parent is longer
+      parent2 = new DoubleArray(new double[] { 0.4, 0.1, 0.3, 0.2, 0.8 });
+      expected = new DoubleArray(new double[] { 0.225, 0.1875, 0.3, 0.4625, 0.1875 });
       exceptionFired = false;
       try {
Index: trunk/sources/HeuristicLab.Encodings.RealVector/3.3/Tests/DiscreteCrossoverTest.cs
===================================================================
--- trunk/sources/HeuristicLab.Encodings.RealVector/3.3/Tests/DiscreteCrossoverTest.cs	(revision 3047)
+++ trunk/sources/HeuristicLab.Encodings.RealVector/3.3/Tests/DiscreteCrossoverTest.cs	(revision 3048)
@@ -68,13 +68,13 @@
     public void DiscreteCrossoverCrossTest() {
       DiscreteCrossover_Accessor target = new DiscreteCrossover_Accessor(new PrivateObject(typeof(DiscreteCrossover)));
-      ItemArray<DoubleArrayData> parents;
+      ItemArray<DoubleArray> parents;
       TestRandom random = new TestRandom();
       bool exceptionFired;
       // The following test checks if there is an exception when there are less than 2 parents
       random.Reset();
-      parents = new ItemArray<DoubleArrayData>(new DoubleArrayData[] { new DoubleArrayData(4) });
+      parents = new ItemArray<DoubleArray>(new DoubleArray[] { new DoubleArray(4) });
       exceptionFired = false;
       try {
-        DoubleArrayData actual;
+        DoubleArray actual;
         actual = target.Cross(random, parents);
       } catch (System.ArgumentException) {
@@ -90,14 +90,14 @@
     public void DiscreteCrossoverApplyTest() {
       TestRandom random = new TestRandom();
-      DoubleArrayData parent1, parent2, expected, actual;
-      ItemArray<DoubleArrayData> parents;
+      DoubleArray parent1, parent2, expected, actual;
+      ItemArray<DoubleArray> parents;
       bool exceptionFired;
       // The following test is not based on published examples
       random.Reset();
       random.IntNumbers = new int[] { 0, 0, 1, 0, 1 };
-      parent1 = new DoubleArrayData(new double[] { 0.2, 0.2, 0.3, 0.5, 0.1 });
-      parent2 = new DoubleArrayData(new double[] { 0.4, 0.1, 0.3, 0.2, 0.8 });
-      parents = new ItemArray<DoubleArrayData>( new DoubleArrayData[] { parent1, parent2 } );
-      expected = new DoubleArrayData(new double[] { 0.2, 0.2, 0.3, 0.5, 0.8 });
+      parent1 = new DoubleArray(new double[] { 0.2, 0.2, 0.3, 0.5, 0.1 });
+      parent2 = new DoubleArray(new double[] { 0.4, 0.1, 0.3, 0.2, 0.8 });
+      parents = new ItemArray<DoubleArray>( new DoubleArray[] { parent1, parent2 } );
+      expected = new DoubleArray(new double[] { 0.2, 0.2, 0.3, 0.5, 0.8 });
       actual = DiscreteCrossover.Apply(random, parents);
       Assert.IsTrue(Auxiliary.RealVectorIsAlmostEqualByPosition(actual, expected));
@@ -105,7 +105,7 @@
       random.Reset();
       random.IntNumbers = new int[] { 0, 0, 1, 0, 1, 0 };
-      parent1 = new DoubleArrayData(new double[] { 0.2, 0.2, 0.3, 0.5, 0.1, 0.9 }); // this parent is longer
-      parent2 = new DoubleArrayData(new double[] { 0.4, 0.1, 0.3, 0.2, 0.8 });
-      parents = new ItemArray<DoubleArrayData>(new DoubleArrayData[] { parent1, parent2 });
+      parent1 = new DoubleArray(new double[] { 0.2, 0.2, 0.3, 0.5, 0.1, 0.9 }); // this parent is longer
+      parent2 = new DoubleArray(new double[] { 0.4, 0.1, 0.3, 0.2, 0.8 });
+      parents = new ItemArray<DoubleArray>(new DoubleArray[] { parent1, parent2 });
       exceptionFired = false;
       try {
